/***
 * 一站式正在使用此文件请谨慎修改
 * 钟是志
 * 2020年5月9日 19:35:43
 * */

import React from 'react';
import LoginWithQrCode from './LoginWithQrCode';


/**
 *  url 二维码url
 *  LoginType: 1 表示 显示二维码  其他不显示
 *  wxSocketGateWay: websocket链接地址 'ws://scjoyedu.eicp.net:51337/wswx/test106/socket/'
 *  mockServer: 获取sessionId 接口前缀  'http://scjoyedu.eicp.net:51337/test106',
 * */
export default function LoginByQrCode({ hintStyle, url, LoginType, wxSocketGateWay, mockServer }) {
  return (
    <div>
      <div style={{ backgroundColor: 'white', width: 288, padding: 10, margin: 'auto' }}>
        <LoginWithQrCode
          url={url}
          show={LoginType === 1}
          mockServer={mockServer}
          wxSocketGateWay={wxSocketGateWay}
        />
      </div>
      <div style={{ marginTop: 20, color: 'white', ...hintStyle, }}>
        请使用
        <span style={{ color: 'red' }}>微信扫一扫</span>
        扫码登录
      </div>
    </div>
  );
}
